Get Automation
curl --request GET \
--url https://api.tryreplicas.com/v1/automations/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tryreplicas.com/v1/automations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tryreplicas.com/v1/automations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"automation": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"triggers": [
{
"config": {
"schedule": "0 9 * * 1-5",
"timezone": "America/New_York"
}
}
],
"prompt": "<string>",
"debounce_seconds": 43200,
"environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enabled": true,
"webhook_token": "<string>",
"cron_expression": "<string>",
"cron_timezone": "<string>",
"cron_next_fire_at": "2023-11-07T05:31:56Z",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_auto_stop_minutes": 721,
"config": {
"capabilities": {
"pr_followups": true
},
"preferences": {
"keep_open_on_pr_merge": false
},
"provisioning_error": {
"message": "<string>"
}
},
"model": "<string>",
"plan_mode": true,
"goal_mode": true,
"fast_mode": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Automation
Get Automation
Returns detailed information about a specific automation.
GET
/
v1
/
automations
/
{id}
Get Automation
Authorizations
API key authentication. Obtain your API key from the Replicas dashboard under Preferences → Organization → Settings → API Keys.
Path Parameters
The unique identifier of the automation
Response
Successful response
Response containing a single automation
An automation record
Show child attributes
Show child attributes
⌘I